Bug 16064 - Remove use of image to indicate approval in tags moderation
Summary: Remove use of image to indicate approval in tags moderation
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tags/review.pl
Keywords:
Depends on:
Blocks: 16062
  Show dependency treegraph
 
Reported: 2016-03-14 14:17 UTC by Owen Leonard
Modified: 2017-06-14 22:05 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16064 - Remove use of image to indicate approval in tags moderation (2.80 KB, patch)
2016-03-14 14:22 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16064 - Remove use of image to indicate approval in tags moderation (2.97 KB, patch)
2016-03-14 16:59 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16064 - Remove use of image to indicate approval in tags moderation (3.04 KB, patch)
2016-03-16 11:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-14 14:17:20 UTC
I would like to be able to eliminate use of "approve.gif" as part of Bug 16062, so I propose to take it out of the tags moderation template and use text instead. This has the added benefit of being more consistent and accessible.
Comment 1 Owen Leonard 2016-03-14 14:22:52 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-14 16:59:39 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-16 11:35:17 UTC
Created attachment 49215 [details] [review]
Bug 16064 - Remove use of image to indicate approval in tags moderation

This patch updates the tags moderation template to use text labels to
mark tag moderation status, eliminating the use of an image file to
signify approval.

To test you should have some tags in each approval state: pending,
approved, and rejected.

- Apply the patch and go to Tools -> Tags.
- Confirm that the status of each tag is clearly shown with a text
  label.

Works as expected (Do not forget to set filter at the left to 'all' for testing)
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-03-21 21:30:39 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!